Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 142771 - Property Editor should not allow to delete existing variables
Property Editor should not allow to delete existing variables
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Vladimir Yaroslavskiy
issues@soa
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-04 10:56 UTC by Vladimir Yaroslavskiy
Modified: 2008-09-04 13:23 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Yaroslavskiy 2008-08-04 10:56:34 UTC
1. In the Property Editor for BPEL activity say Reply, browse to the Output Variable Chooser.
-- The window lists the variables list.

2. Delete the variable.

3. Notice the OK button is disabled, but the variable deleted in 2 gets reflected in the BPEL. The variable is removed
when the Reply activity is referencing it in the BPEL.

I think when deleting the variable the validation check should have prevented to delete when its being referenced by
other activities.
Comment 1 Vladimir Yaroslavskiy 2008-08-04 10:58:42 UTC
related CR 6726795
Comment 2 Vladimir Yaroslavskiy 2008-08-04 11:06:08 UTC
Buttons Add, Edit, Remove have been removed.
changeset in trunk: 90a95a0b89e1
Comment 3 rbalada 2008-08-04 15:53:46 UTC
Please note that NetBeans 6.1 Patch3 cut-off is going to happen on close of
business August 5th. If you would like to have bugfix for this issue as part of
NetBeans 6.1 Patch3, then this issue must have information about bugfix' trunk
changeset and it's status must be "VERIFIED".
Comment 4 Vladimir Yaroslavskiy 2008-08-05 07:46:27 UTC
verified with netbeans-hudson-trunk-3250.
changeset http://hg.netbeans.org/main/rev/90a95a0b89e1
Comment 5 rbalada 2008-08-05 11:46:32 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/90a95a0b89e1 into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/43ed6e6f450b


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo